Subject: Re: bug#1899: marked as done (url-cookie-retrieve is not prepared for missing localpart)

From: Klaus Straubinger <[email-masked]>
Date: Thu, 15 Jan 2009 09:44:29 +0100 ()

Chong Yidong <[email-masked]> wrote:

>> the function url-cookie-retrieve (defined in lisp/url/url-cookie.el)
>> is not prepared for the case that the parameter localpart could be
>> nil: (regexp-quote nil) is an error. This is especially problematic
>> since the corresponding function for setting cookies,
>> url-cookie-store, defines the parameter localpart as optional.
>
> I've checked in a fix.  Thanks.

Your fix changed the "string-match" to "equal" while keeping the
"regexp-quote". This will not work for all cases where "localpart" is
not empty.

I am afraid that this mail might not be the right way to reopen the bug.
I apologize for any inconvenience this might cause.

-- 
Klaus Straubinger